diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/ipv4-header-test.cc ns-3.43/src/internet/test/ipv4-header-test.cc
--- ns-3.42/src/internet/test/ipv4-header-test.cc	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/test/ipv4-header-test.cc	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Hajime Tazaki
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: John Abraham <john.abraham@gatech.edu>
  * Adapted from: ipv4-raw-test.cc
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/ipv4-list-routing-test-suite.cc ns-3.43/src/internet/test/ipv4-list-routing-test-suite.cc
--- ns-3.42/src/internet/test/ipv4-list-routing-test-suite.cc	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/test/ipv4-list-routing-test-suite.cc	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/ipv4-packet-info-tag-test-suite.cc ns-3.43/src/internet/test/ipv4-packet-info-tag-test-suite.cc
--- ns-3.42/src/internet/test/ipv4-packet-info-tag-test-suite.cc	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/test/ipv4-packet-info-tag-test-suite.cc	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Hajime Tazaki
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Hajime Tazaki <tazaki@sfc.wide.ad.jp>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/ipv4-raw-test.cc ns-3.43/src/internet/test/ipv4-raw-test.cc
--- ns-3.42/src/internet/test/ipv4-raw-test.cc	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/test/ipv4-raw-test.cc	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Hajime Tazaki
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Hajime Tazaki <tazaki@sfc.wide.ad.jp>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/ipv4-rip-test.cc ns-3.43/src/internet/test/ipv4-rip-test.cc
--- ns-3.42/src/internet/test/ipv4-rip-test.cc	2024-05-29 15:29:46.968073100 -0700
+++ ns-3.43/src/internet/test/ipv4-rip-test.cc	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Universita' di Firenze
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/ipv4-static-routing-test-suite.cc ns-3.43/src/internet/test/ipv4-static-routing-test-suite.cc
--- ns-3.42/src/internet/test/ipv4-static-routing-test-suite.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/ipv4-static-routing-test-suite.cc	2024-10-09 16:41:09.892655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // End-to-end tests for Ipv4 static routing
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/ipv4-test.cc ns-3.43/src/internet/test/ipv4-test.cc
--- ns-3.42/src/internet/test/ipv4-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/ipv4-test.cc	2024-10-09 16:41:09.892655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  * Author: Faker Moatamri <faker.moatamri@sophia.inria.fr>
  *
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/ipv6-address-duplication-test.cc ns-3.43/src/internet/test/ipv6-address-duplication-test.cc
--- ns-3.42/src/internet/test/ipv6-address-duplication-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/ipv6-address-duplication-test.cc	2024-10-09 16:41:09.892655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Universita' di Firenze
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/ipv6-address-generator-test-suite.cc ns-3.43/src/internet/test/ipv6-address-generator-test-suite.cc
--- ns-3.42/src/internet/test/ipv6-address-generator-test-suite.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/ipv6-address-generator-test-suite.cc	2024-10-09 16:41:09.896656000 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2008 University of Washington
  * Copyright (c) 2011 Atishay Jain
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/ipv6-address-generator.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/ipv6-address-helper-test-suite.cc ns-3.43/src/internet/test/ipv6-address-helper-test-suite.cc
--- ns-3.42/src/internet/test/ipv6-address-helper-test-suite.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/ipv6-address-helper-test-suite.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/internet-stack-helper.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/ipv6-dual-stack-test-suite.cc ns-3.43/src/internet/test/ipv6-dual-stack-test-suite.cc
--- ns-3.42/src/internet/test/ipv6-dual-stack-test-suite.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/ipv6-dual-stack-test-suite.cc	2024-10-09 16:41:09.896656000 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2007 Georgia Tech Research Corporation
  * Copyright (c) 2009 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Ken Renard <kenneth.d.renard.ctr@mail.mil>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/ipv6-extension-header-test-suite.cc ns-3.43/src/internet/test/ipv6-extension-header-test-suite.cc
--- ns-3.42/src/internet/test/ipv6-extension-header-test-suite.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/ipv6-extension-header-test-suite.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Fabian Mauchle <fabian.mauchle@hsr.ch>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/ipv6-forwarding-test.cc ns-3.43/src/internet/test/ipv6-forwarding-test.cc
--- ns-3.42/src/internet/test/ipv6-forwarding-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/ipv6-forwarding-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Universita' di Firenze
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/ipv6-fragmentation-test.cc ns-3.43/src/internet/test/ipv6-fragmentation-test.cc
--- ns-3.42/src/internet/test/ipv6-fragmentation-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/ipv6-fragmentation-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/ipv6-list-routing-test-suite.cc ns-3.43/src/internet/test/ipv6-list-routing-test-suite.cc
--- ns-3.42/src/internet/test/ipv6-list-routing-test-suite.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/ipv6-list-routing-test-suite.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/ipv6-packet-info-tag-test-suite.cc ns-3.43/src/internet/test/ipv6-packet-info-tag-test-suite.cc
--- ns-3.42/src/internet/test/ipv6-packet-info-tag-test-suite.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/ipv6-packet-info-tag-test-suite.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Hajime Tazaki
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Hajime Tazaki <tazaki@sfc.wide.ad.jp>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/ipv6-raw-test.cc ns-3.43/src/internet/test/ipv6-raw-test.cc
--- ns-3.42/src/internet/test/ipv6-raw-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/ipv6-raw-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Hajime Tazaki
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Hajime Tazaki <tazaki@sfc.wide.ad.jp>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/ipv6-ripng-test.cc ns-3.43/src/internet/test/ipv6-ripng-test.cc
--- ns-3.42/src/internet/test/ipv6-ripng-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/ipv6-ripng-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Universita' di Firenze
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/ipv6-test.cc ns-3.43/src/internet/test/ipv6-test.cc
--- ns-3.42/src/internet/test/ipv6-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/ipv6-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 Strasbourg University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
  *         Faker Moatamri <faker.moatamri@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/neighbor-cache-test.cc ns-3.43/src/internet/test/neighbor-cache-test.cc
--- ns-3.42/src/internet/test/neighbor-cache-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/neighbor-cache-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2022 ZHIHENG DONG
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Zhiheng Dong <dzh2077@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/rtt-test.cc ns-3.43/src/internet/test/rtt-test.cc
--- ns-3.42/src/internet/test/rtt-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/rtt-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-advertised-window-test.cc ns-3.43/src/internet/test/tcp-advertised-window-test.cc
--- ns-3.42/src/internet/test/tcp-advertised-window-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-advertised-window-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017 Christoph Doepmann <doepmanc@informatik.hu-berlin.de>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 #include "tcp-error-model.h"
@@ -303,7 +292,8 @@
     Ptr<ErrorModel> CreateReceiverErrorModel() override;
 
   private:
-    /** \brief Callback called for the update of the awnd
+    /**
+     * \brief Callback called for the update of the awnd
      * \param oldAwnd Old advertised window
      * \param newAwnd new value
      */
@@ -389,7 +379,8 @@
     Ptr<ErrorModel> CreateReceiverErrorModel() override;
 
   private:
-    /** \brief Callback called for the update of the awnd
+    /**
+     * \brief Callback called for the update of the awnd
      * \param oldAwnd Old advertised window
      * \param newAwnd new value
      */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-bbr-test.cc ns-3.43/src/internet/test/tcp-bbr-test.cc
--- ns-3.42/src/internet/test/tcp-bbr-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-bbr-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Vivek Jain <jain.vivek.anand@gmail.com>
  *          Viyom Mittal <viyommittal@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-bic-test.cc ns-3.43/src/internet/test/tcp-bic-test.cc
--- ns-3.42/src/internet/test/tcp-bic-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-bic-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Natale Patriciello, <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-bytes-in-flight-test.cc ns-3.43/src/internet/test/tcp-bytes-in-flight-test.cc
--- ns-3.42/src/internet/test/tcp-bytes-in-flight-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-bytes-in-flight-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Natale Patriciello <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/test/tcp-classic-recovery-test.cc ns-3.43/src/internet/test/tcp-classic-recovery-test.cc
--- ns-3.42/src/internet/test/tcp-classic-recovery-test.cc	2024-05-29 15:29:46.972073300 -0700
+++ ns-3.43/src/internet/test/tcp-classic-recovery-test.cc	2024-10-09 16:41:09.896656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Viyom Mittal <viyommittal@gmail.com>
  *         Vivek Jain <jain.vivek.anand@gmail.com>
@@ -101,7 +90,7 @@
 
     uint32_t cWndInflPrevious = m_state->m_cWndInfl;
     uint32_t cWndPrevious = m_state->m_cWnd;
-    recovery->DoRecovery(m_state, 500);
+    recovery->DoRecovery(m_state, 500, false);
     NS_TEST_ASSERT_MSG_EQ(
         m_state->m_cWndInfl,
         (cWndInflPrevious + m_state->m_segmentSize),
